function [F, T] = ARQ_time(fileName)
%Parse ARQ log file
%   F: Frequency vector
%   T: Time vector
%
% author:
%   Christos Choutouridis AEM:8997
%   cchoutou@ece.auth.gr


    data = fopen (fileName);
    A = textscan(data,'%s','Delimiter','\n');
    B = A{1,1};
    fclose(data);
    s = size (B);
    T_ = zeros(s(1)-1, 1);
    j =1;
    for i = 2:s(1)
        C = textscan(B{i,1},'%s','Delimiter',' ');
        D = C{1};
        if str2num(D{18}) ~= 0      % it Total != 0
            T_(j) = str2num(D{15}); % get server response time
            j = j+1;
        end
    end
    T = T_(1:j);
    F = histcounts(T, 1:max(T));
end

